Bug 536016 - (RHQ-410) support post-processing / post-calculation rules
support post-processing / post-calculation rules
Status: CLOSED WONTFIX
Product: RHQ Project
Classification: Other
Component: Inventory (Show other bugs)
0.1
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Charles Crouch
http://jira.rhq-project.org/browse/RH...
: FutureFeature, Improvement, SubFeature
Depends On:
Blocks: RHQ-399
  Show dependency treegraph
 
Reported: 2008-05-01 15:13 EDT by Joseph Marques
Modified: 2015-02-01 18:25 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-05-12 15:42:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2008-05-01 15:13:00 EDT
sometimes, dynagroups simply aren't fine-grained enough to answer the query for what resources you want in a particular group.  to supplement this, we should support post-processing rules that execute after the dynagroups have been calculated from the expression set.  we need to define what these rules might look like, but at the very least we need rules for manually manipulating the result set - adding and removing specific elements.
Comment 1 Red Hat Bugzilla 2009-11-10 16:08:44 EST
This bug was previously known as http://jira.rhq-project.org/browse/RHQ-410
Comment 2 Corey Welton 2010-10-06 23:23:27 EDT
Triaged 5-Oct
Comment 7 Jay Shaughnessy 2014-05-12 15:42:01 EDT
Although not exactly the same thing, we do have group narrowing via the new-ish "memberof" expression.  That is likely all we will do here in any foreseeable time window.

Note You need to log in before you can comment on or make changes to this bug.